Reveal a webhook's signing secret (staff)
GET /api/automations/webhooks/{id}/secret. Reveal a webhook's signing secret (staff). Headless LMS Automations API reference.
Staff only (owner, admin, instructor).
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/automations/webhooks/string/secret"{ "secret": "string"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Delete a webhook and its signing secret (staff) DELETE
DELETE /api/automations/webhooks/{id}. Delete a webhook and its signing secret (staff). Headless LMS Automations API reference.
Replace a webhook's signing secret (staff) POST
POST /api/automations/webhooks/{id}/secret/rotate. Replace a webhook's signing secret (staff). Headless LMS Automations API reference.